Package com.microblink.blinkid.view.recognition

# Enum Class DetectionStatus

java.lang.Object
java.lang.Enum<DetectionStatus>
com.microblink.blinkid.view.recognition.DetectionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<DetectionStatus>`, `Constable`

public enum DetectionStatus extends Enum<DetectionStatus>
Indicates a detection status for detection result

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CAMERA_ANGLE_TOO_STEEP`
  Document has been detected but the camera’s angle is too steep.
  `CAMERA_TOO_CLOSE`
  Document has been detected but the camera is too close to the document.
  `CAMERA_TOO_FAR`
  Document has been detected but the camera is too far from the document.
  `DOCUMENT_PARTIALLY_VISIBLE`
  Only part of the document is visible.
  `DOCUMENT_TOO_CLOSE_TO_CAMERA_EDGE`
  Document has been detected but the document is too close to the camera edge.
  `FAILED`
  Detection has failed.
  `FALLBACK_SUCCESS`
  Fallback detection was successful (PhotoPay specific).
  `SUCCESS`
  Document has been detected.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DetectionStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DetectionStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FAILED

    public static final DetectionStatus FAILED
    Detection has failed.

  - ### SUCCESS

    public static final DetectionStatus SUCCESS
    Document has been detected.

  - ### CAMERA_TOO_FAR

    public static final DetectionStatus CAMERA_TOO_FAR
    Document has been detected but the camera is too far from the document.

  - ### CAMERA_TOO_CLOSE

    public static final DetectionStatus CAMERA_TOO_CLOSE
    Document has been detected but the camera is too close to the document.

  - ### CAMERA_ANGLE_TOO_STEEP

    public static final DetectionStatus CAMERA_ANGLE_TOO_STEEP
    Document has been detected but the camera’s angle is too steep.

  - ### DOCUMENT_TOO_CLOSE_TO_CAMERA_EDGE

    public static final DetectionStatus DOCUMENT_TOO_CLOSE_TO_CAMERA_EDGE
    Document has been detected but the document is too close to the camera edge.

  - ### DOCUMENT_PARTIALLY_VISIBLE

    public static final DetectionStatus DOCUMENT_PARTIALLY_VISIBLE
    Only part of the document is visible.

  - ### FALLBACK_SUCCESS

    public static final DetectionStatus FALLBACK_SUCCESS
    Fallback detection was successful (PhotoPay specific).

- ## Method Details

  - ### values

    public static DetectionStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DetectionStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null